Get a sub-workspace
curl --request GET \
--url https://api.avina.io/v1/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.avina.io/v1/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.avina.io/v1/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avina.io/v1/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.avina.io/v1/workspaces/{workspace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.avina.io/v1/workspaces/{workspace_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avina.io/v1/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "workspace",
"id": "3f2b8a52-7c1e-4d7a-9a51-2d8f0e6c4b10",
"name": "Acme West",
"domain": "acmewest.com",
"external_id": "crm-account-4821",
"billed_to": "parent",
"parent_workspace": {
"name": "Acme"
},
"created_at": "2026-10-13T17:02:11Z",
"provisioning": {
"status": "in_progress"
},
"invited_admins": [
"owner@acmewest.com"
]
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is invalid or revoked.",
"request_id": "req_8f2a"
}
}{
"error": {
"code": "not_found",
"message": "Workspace not found.",
"request_id": "req_8f2a"
}
}Workspaces
Get a sub-workspace
GET
/
workspaces
/
{workspace_id}
Get a sub-workspace
curl --request GET \
--url https://api.avina.io/v1/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.avina.io/v1/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.avina.io/v1/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avina.io/v1/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.avina.io/v1/workspaces/{workspace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.avina.io/v1/workspaces/{workspace_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avina.io/v1/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "workspace",
"id": "3f2b8a52-7c1e-4d7a-9a51-2d8f0e6c4b10",
"name": "Acme West",
"domain": "acmewest.com",
"external_id": "crm-account-4821",
"billed_to": "parent",
"parent_workspace": {
"name": "Acme"
},
"created_at": "2026-10-13T17:02:11Z",
"provisioning": {
"status": "in_progress"
},
"invited_admins": [
"owner@acmewest.com"
]
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is invalid or revoked.",
"request_id": "req_8f2a"
}
}{
"error": {
"code": "not_found",
"message": "Workspace not found.",
"request_id": "req_8f2a"
}
}Authorizations
Workspace API key from the Avina dashboard (Settings → API keys).
Path Parameters
Response
The sub-workspace.
Allowed value:
"workspace"Available options:
parent, self Show child attributes
Show child attributes
Show child attributes
Show child attributes
Only in the POST /workspaces response. The admin_emails invited by that request (empty when the request returned an existing workspace). An email that is already a member of the workspace is not invited.

